#version 100
#define currentTexture tex0
#define distortionMapTexture tex1
#define currentTexture tex0
#define distortionMapTexture tex1
precision mediump float;uniform vec2 iResolution;float factorPix = 1.;vec2 
iPixResolution = iResolution/factorPix;uniform sampler2D tex0; uniform sampler2D 
tex1; uniform float time;vec4 tex(vec2 uv){return texture2D(currentTexture,uv);}
void main(){	vec2 uv = gl_FragCoord.xy / iPixResolution.xy;	 float amount = 
0.;vec2 doubleOffset = vec2(0.01,0.)*pow(sin(time)+sin(time*7.)/4.,2.);
doubleOffset += vec2(0.,0.01)*(sin(time*0.5)/2.+sin(time*1.4)/4.);float angle = 
sin(time*2.)*0.1;mat2 RotationMatrix = mat2( cos(angle), -sin(angle),sin(angle), 
cos(angle) );vec4 accum = vec4(0.,0.,0.,0.);accum += tex( (uv+doubleOffset-vec2
(0.5,0.5))*RotationMatrix + vec2(0.5,0.5));amount += 1.;accum += tex( (uv-
doubleOffset-vec2(0.5,0.5))*RotationMatrix + vec2(0.5,0.5));amount += 1.;
gl_FragColor = accum / amount;}